commit:     f7a4d75f59717aa6d0a3237c08ca49e939a4c496
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Oct 22 14:39:13 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Oct 22 14:39:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f7a4d75f

dev-python/pytest-instafail: version bump 0.4.2

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/pytest-instafail/Manifest               |  2 +-
 .../pytest-instafail-0.4.1_p0.ebuild               | 39 ----------------------
 ..._p0-r1.ebuild => pytest-instafail-0.4.2.ebuild} | 27 ++++++++-------
 3 files changed, 16 insertions(+), 52 deletions(-)

diff --git a/dev-python/pytest-instafail/Manifest 
b/dev-python/pytest-instafail/Manifest
index f617288e..6f6278fa 100644
--- a/dev-python/pytest-instafail/Manifest
+++ b/dev-python/pytest-instafail/Manifest
@@ -1 +1 @@
-DIST pytest-instafail-0.4.1_p0.tar.gz 5301 BLAKE2B 
542ae74fa6f381e58252f7a00bf4e1a5208679a6c56d0c9e2e39b46daec34459c2fe2b4ec8c2e6a94d517a769df0019752b1f87257e70a00683e3bb72f3f2d93
 SHA512 
1e2d7a1dd13ab11d5f6a5e8876aa8a48a6ff9012707d63023d709bfb1aa9a9ee3c088fc9b507d4b75d41e7ab1474154937575b2fa3a6f1bfb286fc3865f70382
+DIST pytest-instafail-0.4.2.tar.gz 5384 BLAKE2B 
ac9701476a6b707bc678c3368d02408bec9ea5ffa84abe60bd5b455ff00b860399e9993f388eef1d08335d98c5f1b6c66f99d8143053ac09dc6696f7cf96a4f0
 SHA512 
31d7b2f2e6f4fa4a43001f9a3e983b6a7506bce9bb4c1568f07f7bc58cb469d7a514a73a04c84a5b2836dfb223ddbe7777b86a4c0e5ec9cb8e1e8eb51111eb9b

diff --git a/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0.ebuild 
b/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0.ebuild
deleted file mode 100644
index 07d96963..00000000
--- a/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8} )
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-MY_PV=${PV/_p/.post}
-
-DESCRIPTION="Plugin for pytest that shows failures and errors instantly"
-HOMEPAGE="
-       https://github.com/pytest-dev/pytest-instafail
-       https://pypi.org/project/pytest-instafail
-"
-SRC_URI="https://github.com/pytest-dev/${PN}/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-       >=dev-python/pytest-2.9[${PYTHON_USEDEP}]
-"
-DEPEND="
-       ${RDEPEND}
-       test? (
-               dev-python/pexpect[${PYTHON_USEDEP}]
-               dev-python/pytest-instafail[${PYTHON_USEDEP}]
-               dev-python/pytest-xdist[${PYTHON_USEDEP}]
-       )
-"
-
-S="${WORKDIR}/${PN}-${MY_PV}"
-
-distutils_enable_tests pytest

diff --git a/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0-r1.ebuild 
b/dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild
similarity index 61%
rename from dev-python/pytest-instafail/pytest-instafail-0.4.1_p0-r1.ebuild
rename to dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild
index cd776337..0599a10a 100644
--- a/dev-python/pytest-instafail/pytest-instafail-0.4.1_p0-r1.ebuild
+++ b/dev-python/pytest-instafail/pytest-instafail-0.4.2.ebuild
@@ -3,36 +3,39 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( pypy3 python3_{7,8} )
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( pypy3 python3_{7,8,9} )
 
 inherit distutils-r1
 
-MY_PV=${PV/_p/.post}
-
 DESCRIPTION="Plugin for pytest that shows failures and errors instantly"
 HOMEPAGE="
        https://github.com/pytest-dev/pytest-instafail
        https://pypi.org/project/pytest-instafail
 "
-SRC_URI="https://github.com/pytest-dev/${PN}/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
+SRC_URI="https://github.com/pytest-dev/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
 LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
+
 RDEPEND="
        >=dev-python/pytest-2.9[${PYTHON_USEDEP}]
 "
-DEPEND="
-       ${RDEPEND}
-       test? (
+BDEPEND="test? (
                dev-python/pexpect[${PYTHON_USEDEP}]
                dev-python/pytest-xdist[${PYTHON_USEDEP}]
        )
 "
-S="${WORKDIR}/${PN}-${MY_PV}"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # pexpect.exceptions.EOF: End Of File (EOF). Exception style platform.
+       sed -i -e 's:test_print_stacktrace_once_with_pdb:_&:' \
+               test_instafail.py  || die
+
+       distutils-r1_python_prepare_all
+}
 
 python_test() {
        distutils_install_for_testing

Reply via email to